.announcements-block{
	padding: 20px;
	background:#f1f1f1;
	border: 1px solid #bcbcbc;
	-webkit-border-radius: 7px;
	-moz-border-radius: 7px;
	border-radius: 7px;
}
.announcements-block__meta{
	padding: 20px;
	text-align: center;
	margin: 10px 0 20px 0;
}
.announcements-block__title{
	color: #4c8fbc;
	text-transform: capitalize;
}
.announcements-block__content{
	color: #999999;
	padding: 0 90px;
}


/*MODAL user control panel*/
.panel-control-panel{
	margin-bottom: 0;
		-webkit-border-top-left-radius: 25px !important;
	-webkit-border-top-right-radius: 25px !important;
	-moz-border-radius-topleft: 25px !important;
	-moz-border-radius-topright: 25px !important;
	border-top-left-radius: 25px !important;
	border-top-right-radius: 25px !important;
}

.panel-control-panel .panel-heading{
	-webkit-border-top-left-radius: 5px !important;
	-webkit-border-top-right-radius: 5px !important;
	-moz-border-radius-topleft: 5px !important;
	-moz-border-radius-topright: 5px !important;
	border-top-left-radius: 5px !important;
	border-top-right-radius: 5px !important;
}


.user-control-panel-pane{
	background: #f1f1f1;
	border: 1px solid #bcbcbc;
	border-top: none;
}


.nav.nav-tabs.main-nav-tab{
	min-height:43px;
	height:43px;
}
.user-control-panel-nav-tabs.nav-tabs>li{
	margin-right: 5px;
}
.user-control-panel-nav-tabs.nav-tabs>li a{
	background: #f8f8f8;
	border: 1px solid #bcbcbc;
	color: #000000;
}
.user-control-panel-nav-tabs .active a{
		background: none;
}

.user-control-panel-nav-tabs.nav-tabs>li.active{
	background: #f1f1f1;
	border: 1px solid #bcbcbc;
	border-bottom: 1px solid #f1f1f1;
	/*margin-bottom: -1px;*/
	-webkit-border-top-left-radius: 5px;
	-webkit-border-top-right-radius: 5px;
	-moz-border-radius-topleft: 5px;
	-moz-border-radius-topright: 5px;
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}

.user-control-panel-nav-tabs.nav-tabs>li.active>a, 
.user-control-panel-nav-tabs.nav-tabs>li.active>a:focus, 
.user-control-panel-nav-tabs.nav-tabs>li.active>a:hover {
  color: #555;
  cursor: default;
  background-color: transparent;
  border: none;
  border-bottom-color: transparent;
}
.user-control-panel-nav-tabs.nav-tabs {
  border-bottom: 1px solid #bcbcbc;
}
.user-control-panel-nav-tabs li a .fa,
.user-control-panel-nav-tabs li a .glyphicon{
	font-size:30px;
	margin-right:10px;
	vertical-align:middle
}
.user-control-panel-nav-tabs li a img{
	width: 30px;
	height: 30px;
	vertical-align:middle
}

@media(max-width: 991px){
	.user-control-panel-nav-tabs li a .fa,
	.user-control-panel-nav-tabs li a .glyphicon{
		font-size:30px;
		margin-right:3px;
		vertical-align:middle
	}
}


.container-online-list{
	background: #ffffff;
	border: 2px solid #bcbcbc;
	-webkit-border-top-left-radius: 5px;
	-webkit-border-top-right-radius: 5px;
	-moz-border-radius-topleft: 5px;
	-moz-border-radius-topright: 5px;
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}

/*.the-content{
	min-height:450px;
}*/