html, body {
    margin: 0;
    padding: 0;
}
#page-content-wrapper-overlay{
    display: none;
}

/*.menu-visible #page-content-wrapper-overlay{
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(51,102,153,0.8);
    z-index: 25;
}*/
#page-content-wrapper {
    position: relative; /* Set the position property so z-index will apply */
    z-index: 20; /* Make sure this is higher than #sidebar-wrapper */
    height: 100%;
}
.menu-visible.animating.right #sidebar-wrapper{
    z-index: 10;
}
.menu-visible #sidebar-wrapper{
    z-index: 21;
    position: fixed;
}
#sidebar-wrapper {
    display: none;
    position: absolute;
    top: 0;
    left: 0;

    width:250px;
    margin: 0;
    height: 100%;
    list-style: none;
    background: #464C4F;
    z-index: 10; /* Make sure the z-index is lower than the #page-content-wrapper-content-wrapper */
    transition: transform .75s ease-in-out;
    -webkit-transition: -webkit-transform .75s ease-in-out;
}

#sidebar-wrapper ul{ 
    width: 100%;
    background: #464C4F;
}




/*#page-content-wrapper {
 transform: translate3d( -10px, 0, 0 ); 
 -webkit-transform: translate3d( -10px, 0, 0 );
}*/


/* Show the menu when animating or visible */
.animating #sidebar-wrapper, .menu-visible #sidebar-wrapper {
  display: block;
}

/***
 * If the animating class is present then apply
 * the CSS transition to #page-content-wrapper over 250ms.
 */
.animating #page-content-wrapper {
  transition: transform .75s ease-in-out;
  -webkit-transition: -webkit-transform .75s ease-in-out;
}

/***
 * If the left class is present then transform
 * the #page-content-wrapper element 240px to the left.
 */ 
.animating.left #page-content-wrapper {
  transform: translate3d( 250px, 0, 0 );
  -webkit-transform: translate3d( 250px, 0, 0 );
}

/***
 * If the right class is present then transform
 * the #page-content-wrapper element 240px to the right.
 */
.animating.right #page-content-wrapper {
  transform: translate3d( -250px, 0, 0 );
  -webkit-transform: translate3d( -250px, 0, 0 );
}

/***
 * If the menu-visible class is present then
 * shift the #page-content-wrapper 240px from the right edge
 * via position: absolute to keep it in the 
 * open position. When .animating, .left and
 * .right classes are not present the CSS
 * transform does not apply to #page-content-wrapper.
 */

 .menu-visible,
 .animating,
.menu-visible #wrapper{
    /*position: inheritq;*/
    overflow: hidden;
 }

 .menu-visible #sidebar-wrapper {
    /*position: absolute;*/
    overflow-y:scroll;
 }

.menu-visible.animating #page-content-wrapper{
    width: 100%;
}

.animating .control,
.menu-visible .control{
    /*position: relative;*/
    display: none;
}

.menu-visible #page-content-wrapper {
 margin-left: 250px;
 width: 100%;
 overflow: hidden;
 overflow-x: hidden; 
 overflow-y: hidden; 
 position: relative;
}

#page-content-wrapper, #sidebar-wrapper {
  /*-webkit-backface-visibility: hidden;*/
  /*-webkit-perspective: 1000;*/
}

/* Hide the #sidemenu-open element on larger screens */
#sidemenu-open {
  /*display: none;*/
}
@media only screen and (max-width: 768px) {
  #sidemenu-open {
    display: block;
  } 
  
  /* Place all the CSS for your mobile #sidebar-wrapper here */
}


.animating .navigation,
.menu-visible .navigation,
.nav-open.nav-open--active{
    background: #336699;
}

/* Sidebar Styles */

.sidebar-nav {
    position: absolute;
    top: 0;
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
    /*height: 100%;*/
}

.sidebar-nav li {
    text-indent: 5px;
    line-height: 40px;
    margin: 0;
    color: #fff;
}

.sidebar-nav li.header {
  background: #336699 url('<?php echo $GLOBALS['vendorsPath']; ?>css/img/logo2.png') 0 0 no-repeat;
  background-size: 176px 75px;
  background-position: 28px 5px;
  height: 80px;
}
.sidebar-nav li.current,
.sidebar-nav li:hover a
{
    background: #D5A51F;
}

.sidebar-nav li{
    border-bottom: 1px solid #464C4F;
    text-indent: 10px;
}

.sidebar-nav li.meta{
    background: #6699CC;
}

.sidebar-nav li a {
    display: block;
    text-decoration: none;
    color: #fff;
    padding:5px 0;
    text-align: left;
}

.sidebar-nav li  a:hover {
    text-decoration: none;
    color: #fff;
    background: #F59120;
}

.sidebar-nav li a:active,
.sidebar-nav li a:focus {
    text-decoration: none;
}

.sidebar-nav > .sidebar-brand {
    height: 65px;
    font-size: 18px;
    line-height: 60px;
}

.sidebar-nav > .sidebar-brand a {
    color: #fff;
}

.sidebar-nav > .sidebar-brand a:hover {
    color: #fff;
    background: none;
}


.sidebar-nav li ul{
    display: none;
    margin: 0;
    padding: 0;
}

.sidebar-nav ul{
	margin: 0;
    padding: 0;
}
.sidebar-nav ul li ul{
	margin: 0;
    padding: 0;
}


/* FIrst tier nav*/
.sidebar-nav li ul li{
    display:block;
    list-style-type: none;
    list-style: none;
    width: 100%;
    background:#6C9DBA;
    border-bottom: 1px solid #4985AE;
    text-align: center;
    text-indent: 7%;
}

.sidebar-nav li.menu-open > ul{
    display: block;
}
.sidebar-nav li.menu-open{
    background: #F59120;
}
.sidebar-nav li.menu-open ul li a{
    background:#6C9DBA;
}

.sidebar-nav li.menu-open ul li a{
    background:#6C9DBA;
}

.sidebar-nav li ul li a:hover {
    text-decoration: none;
    color: #fff;
    background: #F59120;
}

/* second tier nav*/

.sidebar-nav li ul li ul li{
    display:block;
    list-style-type: none;
    list-style: none;
    width: 100%;
    background:#6C9DBA;
    border-bottom: 1px solid #4985AE;
    text-align: center;
    text-indent: 10%;
}

.sidebar-nav li ul li.menu-open > ul{
    display: block;

     -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
.sidebar-nav li ul li.menu-open{
    background: #D5A51F;
}
.sidebar-nav li ul li.menu-open ul li a{
    background:#6C9DBA;
}

.sidebar-nav li ul li.menu-open ul li a{
    background:#6C9DBA;
}

.sidebar-nav--bottom{
    position: relative;
    bottom: 0;
    width: 100%;
}