<?php
	error_reporting(0);
	
	$isserv = true;
	include("globals.php");
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>CrewCommCenter Media Files Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style>
body
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	
	background: url(<?php echo $GLOBALS['plugFilePath']; ?>/img/bg1.png) no-repeat; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

div, table, tr, td
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#mainmediaview{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 800px;
    margin-left: -275px;
}

#mainmediaviewmm{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 250px;
    margin-left: -545px;
}

input { 
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	padding: 4px;
}

#cccline{
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 10%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 270px;
    vertical-align:top;
    -webkit-background-size: cover;
}

#ccctext{
	-webkit-background-size: cover;
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 14%;
    left: 49.5%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    vertical-align:top;
}

a:link {
    color: #000000;
	text-decoration: none;
}
a:visited {
    color: #000000;
	text-decoration: none;
}
a:hover {
    color: #00F;
	text-decoration: none;
}
a:active {
    color: #000000;
	text-decoration: none;
}

a.na:link {
    color: #F00;
	text-decoration: none;
}
a.na:visited {
    color: #F00;
	text-decoration: none;
}
a.na:hover {
    color: #F00;
	text-decoration: none;
}
a.na:active {
    color: #F00;
	text-decoration: none;
}
</style>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.min.js"></script>
<script language="javascript">
	var currpath = ""; var tblCnt = 0; var selectdf = "";

	function gotofolder(path) {
		currpath = path;
		fetchDirlist(currpath, "1", "");
	}
	
	function gouponefolder(path) {
		currpath = path.substr(0, path.lastIndexOf('/'));
		if (currpath == "/") {currpath = "";}
		fetchDirlist(currpath, "1", "");
	}

	function cleartable() {
		$("#mediaview tr").remove(); 
	}

	function displayDirFile(fname) {
		if (fname.startsWith("[DIR]")) {
			fname = fname.substring(5, fname.length);
			$('#mediaview').append('<tr><td><a href="javascript:;" title="Click to open folder" onclick="gotofolder(' + "'" + currpath + '/' + fname + "'" + ')">'
				+ '<img height="20" src="<?php echo $GLOBALS['plugFilePath']; ?>/img/folder.jpg"> ' + fname + '</a></td></tr>');
		} else {
			//Show option to download or delete
			$('#mediaview').append('<tr><td><a href="javascript:;" title="Click for options" onclick="showopts(' + "'" + fname + "'" + ');">'
				+ '<img height="20" src="<?php echo $GLOBALS['plugFilePath']; ?>/img/file.jpg"> ' + fname + '</a></td></tr>');
		}
		
		tblCnt++;
	}

	function parseJson(dObj, loc) {
		$.each(dObj, function (index, value) {
			try {
				
				if (jQuery.isPlainObject(value)) {
					parseJson(value, loc + index + "/");
				} else {
					if ((value == '[DIR].') || (value == '[DIR]..')) {} else {
						displayDirFile(value);
					}
				}
			} catch (e) {}
			
		});
	}

	function fetchDirlist(path, act, fname) {
		$("#loading").fadeIn(200);
		$("#loadingmsgholder").fadeIn(200);
		if (act == "0") {
			$("#loadingmsg").html("Processing your request and fetching files and folders list. Please wait.");
		/*} else if (act == "2") {
			$("#loadingmsg").html("Requesting file for download, please wait...");*/
		} else { //Act = 1
			$("#loadingmsg").html("Fetching files and folders list. Please wait.");	
		}
		
		var requestdirlist;
		var noerror = true;
		var dhost = '<?php echo $GLOBALS['dhost']; ?>';
		
		//if (act == "2") {} else {
			cleartable();
			tblCnt = 0;
			
			if (path == "") {} else {
				$('#mediaview').append('<tr><td><a href="javascript:;" onclick="gouponefolder(' + "'" + currpath + "'" +
					')"><img height="20" src="<?php echo $GLOBALS['plugFilePath']; ?>/img/folderup.jpg"> Up One Folder</a></td></tr>');
				$('#mediaview').append('<tr><td>Current Path: .' + path + '</td></tr>');
			}
		//}
		
		requestdirlist = $.ajax({
			url: dhost,
			type: "post",
			data: { path: path, act: act, fname: fname },
			//dataType:"json",
			timeout: 30000
		});
		
		requestdirlist.done(function (response, textStatus, jqXHR){
			if (noerror) {
				try {
				
					parseJson(response, path);
					//$('#mediaview').append('<tr><td height="10" align="center"></td></tr>');
				
					if (tblCnt == 0) {
						$('#mediaview').append('<tr><td>No files found.</td></tr>');	
					}
				
				} catch (e) {}
			}
		});
	
		requestdirlist.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
			if (textStatus=="timeout") {
				alert('The request timed out. Please try again.');
			} else {
				alert('An error has occurred. Please try again.');
			}
		});
	
		requestdirlist.always(function () {
			requestdirlist = null;
			
			$("#loading").fadeOut(200);
			$("#loadingmsgholder").fadeOut(200);
		});
	}
	
	function gotoUpload() {
		$("#loading").fadeIn(200);
		$("#loadingmsgholder").fadeIn(200);
		$("#loadingmsg").html("Loading, please wait.");
		self.location.href = "upldr.php";
	}
	
	function showopts(fn, act) {
		$("#loading").fadeIn(200);
		$("#menuoptions").fadeIn(200);
		
		if ((act == "1") || (act == 1)) {
			document.getElementById('mkavail').innerHTML = "Hide";
		} else {
			document.getElementById('mkavail').innerHTML = "Approve";
		}
		
		selectdf = fn;
	}
	
	function cancelopts() {
		$("#loading").fadeOut(200);
		$("#menuoptions").fadeOut(200);
	}
	
	function downloadopts() {
		cancelopts();
		//fetchDirlist(currpath, "2", selectdf);
		
		var dhost = '<?php echo $GLOBALS['dhost']; ?>';
		document.getElementById('downloadframe').src = dhost + "?act=2&path=" + encodeURIComponent(currpath.replace(/&amp;/g, "&")) + "&fname=" + encodeURIComponent(selectdf.replace(/&amp;/g, "&"));
		//alert( dhost + "?act=2&path=" + encodeURIComponent(currpath.replace(/&amp;/g, "&")) + "&fname=" + encodeURIComponent(selectdf.replace(/&amp;/g, "&")) );
	}
	
	function updateavailopt() {
		cancelopts();
		
		var act = document.getElementById('mkavail').innerHTML;
		if (act == "Hide") {act = 7;} else {act = 6;}
		//var dhost = '<?php echo $GLOBALS['dhost']; ?>';
		//document.getElementById('downloadframe').src = dhost + "?act=" + act + "&path=" + encodeURIComponent(currpath.replace(/&amp;/g, "&")) + "&fname=" + encodeURIComponent(selectdf.replace(/&amp;/g, "&"));
		fetchDirJS(currpath, act, selectdf);
	}
	
	/*function deleteopts() {
		cancelopts();
		fetchDirlist(currpath, "0", selectdf);
	}*/
	
	function fetchDirJS(path, act, fname) {
		currpath = path;
		
		$("#loading").fadeIn(200);
		$("#loadingmsgholder").fadeIn(200);
		if (act == "0") {
			$("#loadingmsg").html("Processing your request and fetching files and folders list. Please wait.");
		} else { //Act = 1
			$("#loadingmsg").html("Fetching files and folders list. Please wait.");	
		}
		
		var requestdirlist;
		var noerror = true;
		var dhost = '<?php echo $GLOBALS['dirlist']; ?>';
		
		requestdirlist = $.ajax({
			url: dhost,
			type: "post",
			data: { path: path, act: act, fname: fname },
			//dataType:"json",
			timeout: 30000
		});
		
		requestdirlist.done(function (response, textStatus, jqXHR){
			if (noerror) {
				try {
				
					document.getElementById('mediaviewdiv').innerHTML = response;
				
				} catch (e) {}
			}
		});
	
		requestdirlist.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
			if (textStatus=="timeout") {
				alert('The request timed out. Please try again.');
			} else {
				alert('An error has occurred. Please try again.');
			}
		});
	
		requestdirlist.always(function () {
			requestdirlist = null;
			
			$("#loading").fadeOut(200);
			$("#loadingmsgholder").fadeOut(200);
		});
	}
	
	function gotofolderJS(path) {
		currpath = path;
		fetchDirJS(currpath, "1", "");
	}
	
	function gouponefolderJS(path) {
		currpath = path.substr(0, path.lastIndexOf('/'));
		if (currpath == "/") {currpath = "";}
		fetchDirJS(currpath, "1", "");
	}
	
	function deleteopts() {
		cancelopts();
		fetchDirJS(currpath, "0", selectdf);
	}
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/cccline.png" id="cccline" width="280" height="40">
<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/ccctext.png" id="ccctext" >

<table width="800" id="mainmediaview" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr><td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;padding:8px" align="center"><font color="#FFFFFF"><B>Media Files Management</B></font></td></tr>
  <!--<tr><td style="padding:8px">
  <input type="button" name="btnSubmit" id="btnSubmit" value="Upload New Media" onClick="gotoUpload();">
  </td></tr>-->
  <tr><td width="273" height="10" align="center"></td></tr>
  <tr>
    <td>
    
    <div id="mediaviewdiv" style="overflow: auto;overflow-x: hidden;">
    <table width="800" id="mediaview" border="0" cellspacing="0" cellpadding="8" align="center">
      
    </table>
    </div>
    
    </td>
  </tr>
  <tr><td height="10" align="center"></td></tr>
</table>

<?php include "mm.php"; ?>

<iframe id=downloadframe style='display:none;'></iframe>

</body>
</html>
<div id="menuoptions" style="display: none;position:absolute; left: 50%; top: 50%; width: 400px;
    margin-left: -200px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);"
    align="center">
    <table width="400" border="0" cellspacing="0" cellpadding="10" bgcolor="#FFFFFF"
      style="font-family:Arial, sans-serif; font-size:14px; color:#111">
      <tr>
        <td align="center" colspan="4">
        What do you want to do?
        </td>
      </tr>
      <tr>
        <td align="center">
        <a href="javascript:;" onClick="updateavailopt();" id="mkavail">
        
        </a>
        </td>
        <td align="center">
        <a href="javascript:;" onClick="downloadopts();">
        Download File
        </a>
        </td>
        <td align="center">
        <a href="javascript:;" onClick="deleteopts();">
        Delete File
        </a>
        </td>
        <td align="center">
        <a href="javascript:;" onClick="cancelopts();">
        Cancel
        </a>
        </td>
      </tr>
    </table>
</div>
<div id="loadingmsgholder" style="display: none; position:absolute; left: 50%; top: 50%; width: 450px;
    margin-left: -225px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    <table width="450" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF"
      style="font-family:Arial, sans-serif; font-size:14px; color:#111">
      <tr>
        <td width="18">&nbsp;</td>
        <td width="363">&nbsp;</td>
        <td width="19">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="center">
        <span id="loadingmsg">Loading... Your request is being processed, please wait.</span>
        </td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
</div>
<div id="loading" style="display: none;height:100%;width:100%;position:fixed;
    left:0;top:0;z-index:101 !important;background-color:#062544;
    filter: alpha(opacity=0); /* internet explorer */
    -khtml-opacity: 0;      /* khtml, old safari */
    -moz-opacity: 0;       /* mozilla, netscape */
    opacity: 0;           /* fx, safari, opera */
    ">
</div>
<script language="javascript">
	function updateUI() {
		var h = $(document).height();
		var t = $("#mediaview").position().top;
		var divh = h - t - ((h * .35));
		
		$("#mediaviewdiv").css({ "max-height": divh + 'px' });
		$("#mediaviewdiv").css({ maxHeight: divh + 'px' });
		$("#mediaviewdiv").css("max-height", divh + 'px');
	}

	$(window).on('resize', function(){
		updateUI();
	});
	
	updateUI();

	//fetchDirlist(currpath, "1", "");
	fetchDirJS(currpath, "1", "");
</script>