//navtabs
(function($){
	$(document).ready(function(){	

		var navelements = ['.chat-menu-link-container','navtab2'];

		$.each(navelements, function(index, className) {
			 if($(className).length >=1 ){
			 	// console.log(className+ 'Element exists');
			 	$(className+' a').on('click',function(event) {
			 		 event.preventDefault();
			 		 $(className).find('a.current').removeClass('current');
			 		 $(this).addClass('current');

	  				 $(this).tab('show');
	  				 // alert('test');
			 	});
			 }else{
			 	console.log(className+ 'Element does not exist');	
			 }
		});

		$(document).on('click','.carousel-next-prev a',function(e){
			e.preventDefault();
			var This = $(this),
			    target = This.parent('div').attr('data-target');
			    
			  	if(This.hasClass('carousel-next-prev__next')){
					$(target).carousel('next');
					console.log('next');
					console.log(target);
				}else if (This.hasClass('carousel-next-prev__prev')) {
					$(target).carousel('prev');
					console.log('prev');
					console.log(target);
				};
		});
 	});
})(jQuery);




(function($,window,document){
	function initAccordion(){
		$('.accordion-panel__body').on('show.bs.collapse', function () {
					var elem = $(this),
						 currentAnchor = elem.find('.fa');
					
					if($(currentAnchor).is('.fa-plus')){
						$(currentAnchor).removeClass('fa-plus').addClass('fa-minus');
					}else if($(currentAnchor).is('.fa-minus')){
						$(currentAnchor).removeClass('fa-minus').addClass('fa-plus');
					}
					// console.log($(currentAnchor).is('.fa-plus'));


					elem.siblings('.accordion-panel__body')
		 					 .find('.fa')
		 					 .removeAttr('class')
		 					 .addClass('fa fa-plus');

		 			elem.siblings('.accordion-panel__body')
		 					 .find('.accordion-panel__body-content.in')
		 					 .removeClass('in');


				}).on('hide.bs.collapse', function() {
					// event.preventDefault();
					var elem = $(this),
						 currentAnchor = elem.find('.fa');
					
					if($(currentAnchor).is('.fa-plus')){
						$(currentAnchor).removeClass('fa-plus').addClass('fa-minus');
					}else if($(currentAnchor).is('.fa-minus')){
						$(currentAnchor).removeClass('fa-minus').addClass('fa-plus');
					}
				});
		}


		function initAccordion2(){
			$('.panel-group--costumized').on('click','a',function(){
				var elem = $(this);
				//find all other icons except the clicked element and change icons to plus
				$('.panel-group--costumized a').not(elem).find('.fa-minus').removeClass('fa-minus').addClass('fa-plus');

				//if clicked change icon to plus or minus
				var icon = elem.find('.fa');
				if($(icon).hasClass('fa-plus')){
					$(icon).removeClass('fa-plus').addClass('fa-minus');
				}else if($(icon).hasClass('fa-minus')){
					$(icon).removeClass('fa-minus').addClass('fa-plus');			
				}
			})
		}

		

		$(document).ready(function(){
			//function calls
			if($('.accordion-panel__body').length >=1){
				initAccordion();	
			}
			if($('.panel-group--costumized').length >=1){
				initAccordion2();	
			}
		});
})(jQuery,window,document,undefined);

/*INTERNET MODAL POPUP*/
(function($){
	$('#activatingModal-open').on('click',function(e){
		e.preventDefault();
		$('#activatingModal').show();
		$('#activatingModal').draggable(); 
	});

	$('#activatingModal-close').on('click',function(e){
		e.preventDefault();
		$('#activatingModal').hide();
		$('#activatingModal').draggable(); 
	});
})(jQuery);



/*ACTIVATE INTERNET CONNECTION LOGIC*/
(function($){
	/*ACTIVATE INTERNET CONNECTION*/
	$('.internet-activate-deactivate-button').on('click',function(e){
		e.preventDefault();
		var elem = $(this);

		//internet connection is active? deactivate it.
		if(elem.hasClass('deactivate-btn--active')){
			//change contents
			$('#internet-loading-container').removeClass('internet-activated');
			$('#internet-loading-container .internet-loading-content .internet-loading-title').html('Deactivating Internet Connection');
			$('#internet-loading-container .internet-loading-content .internet-loading-subtitle').html('Please Wait');
			//open popup
			$('#internet-loading-container').bPopup({
				 modalColor: '#7b9db0'
			});

			/*Mimic an ajax functionality*/
			setTimeout(function(){ 
				//popup the deactivateing modal with spinning earth icon and add our success class
			 	$('#internet-loading-container').addClass('internet-activated');
			 	//change the pop up text title
			 	$('#internet-loading-container .internet-loading-title').html('Internet Connection<br>Deactivated');
			 	//change the pop up text sub title
			 	$('#internet-loading-container .internet-loading-subtitle').html(' ');
			 	//change internet modal button to inactive state
			 	elem.removeClass('deactivate-btn--active').addClass('deactivate-btn--inactive');
			
			 	/*Mimic a successful ajax deactivation*/
				setTimeout(function(){
					//close the popup modal
			 		$('#internet-loading-container').bPopup().close();	
			 		//hide the internet counter
			 		$('.top-menu-items.internet').removeClass('active').addClass('inactive');
			 		//change deactivate/activate internet button class
			 		$('.internet-activate-deactivate-button').removeClass('deactivate-btn--active').addClass('deactivate-btn--inactive');
			 		//hide the activate internet modal
			 		$('#activatingModal').hide();
			 	},2000);

			}, 3000);

		//internet connection is deactivated? Activate it
		}else if($(this).hasClass('deactivate-btn--inactive')){
			//popup the activateing modal with spinning earth icon
			$('#internet-loading-container').removeClass('internet-activated');
			//change the pop up text title
			$('#internet-loading-container .internet-loading-content .internet-loading-title').html('Activating Internet Connection');
			//change the pop up text sub title
			$('#internet-loading-container .internet-loading-content .internet-loading-subtitle').html('Please Wait');
			//open popup
			$('#internet-loading-container').bPopup({
				 modalColor: '#7b9db0'
			});

			/*Mimic an ajax functionality*/
			setTimeout(function(){ 
				//popup the deactivateing modal with spinning earth icon and add our success class
			 	$('#internet-loading-container').addClass('internet-activated');
			 	$('#internet-loading-container .internet-loading-title').html('Internet Connection<br>activated');
			 	$('#internet-loading-container .internet-loading-subtitle').html(' ');
			 	//change internet modal button to active state
			 	elem.removeClass('deactivate-btn--inactive').addClass('deactivate-btn--active');
			 	// $('#internet-counter-container').removeClass('inactive');

			 	setTimeout(function(){
			 		$('.internet-activate-deactivate-button').removeClass('deactivate-btn--inactive').addClass('deactivate-btn--active');
			 		$('#internet-loading-container').bPopup().close();
			 		$('#activatingModal').hide();
			 		$('.top-menu-items.internet').removeClass('inactive').addClass('active');
			 	},2000);
			 	
			}, 3000);
		}
	})
})(jQuery);

//pop up dialog box for user control panel
(function($){
	$('#usercontrolpanel').on('click',function(e){
		e.preventDefault();

			//use document for ipad devices
			if($(window).width() > 991){
				$('.user-control-panel').modal('show');		
			}else{
				var url = $(this).attr('href');
				// window.location.href = url;

				$('.meta .sidebar-nav-first').toggle();
			}
	});
})(jQuery);


//hide dropdown menu when resized to landscape
(function($){
	$(window).on('resize',function(){
		if($(window).width() > 991){
			$('.meta .sidebar-nav-first').hide();
		}
	});
})(jQuery);


$(function(){
  var hash = window.location.hash;
  hash && $('ul.nav a[href="' + hash + '"]').tab('show');

  $('.nav-tabs a').click(function (e) {
    $(this).tab('show');
    var scrollmem = $('body').scrollTop();
    window.location.hash = this.hash;
  });
});